InvocationOrigin.Service
Keywords: net.corda.core.context.InvocationOrigin.Service class
Date: 2023-09-18

net.corda.core.context

## Class InvocationOrigin.Service

- net.corda.core.context.InvocationOrigin
- - net.corda.core.context.InvocationOrigin.Service

- Enclosing class:
    InvocationOrigin

      public static class InvocationOrigin.Service
      extends InvocationOrigin

  Origin was a Corda Service.

- - ### Constructor Detail

    - #### Service

          public Service(@NotNull
                         java.lang.String serviceClassName,
                         @NotNull
                         CordaX500Name owningLegalIdentity)

      Origin was a Corda Service.

  - ### Method Detail

    - #### principal

          @NotNull
          public java.security.Principal principal()

      Returns the Principal for a given `class Actor`.

      See Also:
        Principal, `class Actor`

    - #### getServiceClassName

          @NotNull
          public java.lang.String getServiceClassName()

    - #### getOwningLegalIdentity

          @NotNull
          public CordaX500Name getOwningLegalIdentity()

    - #### component1

          @NotNull
          public java.lang.String component1()

    - #### component2

          @NotNull
          public CordaX500Name component2()

    - #### copy

          @NotNull
          public net.corda.core.context.InvocationOrigin.Service copy(@NotNull
                                                                               java.lang.String serviceClassName,
                                                                               @NotNull
                                                                               CordaX500Name owningLegalIdentity)

      Origin was a Corda Service.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Origin was a Corda Service.

    - #### hashCode

          public int hashCode()

      Origin was a Corda Service.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Origin was a Corda Service.